﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.16.3/gitea-1.16.3-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.16.3/gitea-1.16.3-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '075bb861ad19f309a9f134d824b0960d8cda82dea3589c4da1bd60d9ff4e73a2'
  checksumType  = 'sha256'
  checksum64    = '73af62c0ebb7406004e3931e9279422e482028fc68a05669a9e33677f93c3dc7'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
